# 46. Mutatie: meerlaagse "ZonesMap" asynchroon genereren

Genereer "ZonesMap" asynchroon op basis van meerdere lagen voor het "Field".

{% hint style="info" %}
De asynchrone aanpak genereert een taak (Genereer "generateVectorAnalysisMap") om te verwerken en de Subscription wordt ontvangen zodra de verwerking is voltooid.
{% endhint %}

Attribuut `dataLayers` bevat de benodigde informatie per datalaag om te gebruiken in de resulterende "ZonesMap". Het attribuut `factor` staat voor het **gewicht** van de datalaag.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutatie GenerateMultiLayerZonesMapAsync {
  generateMultiLayersVectorAnalysisMapAsync(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    numberOfZones:7
    name: "MultiYear f1.0 + LIDAR Slope f-0.5 + OM f0.5 + VolDr f0.2"
    dataLayers: [{
      factor: 1.0
      satelliteImageUuids: [
        "<placeholder_of_satelliteimage_uuid_1>",
	"<placeholder_of_satelliteimage_uuid_2>",
        "<placeholder_of_satelliteimage_uuid_3>",
        "<placeholder_of_satelliteimage_uuid_4>",
        "<placeholder_of_satelliteimage_uuid_5>",
        "<placeholder_of_satelliteimage_uuid_6>",
        "<placeholder_of_satelliteimage_uuid_7>",
        "<placeholder_of_satelliteimage_uuid_8>",
        "<placeholder_of_satelliteimage_uuid_9>",
        "<placeholder_of_satelliteimage_uuid_10>"
      ]
    	index: EVI2
    }, {
      factor: -0.5
      topographyMapUuid: "<placeholder_of_topographymap_uuid>"
    	topographyAttribute: slope
    }, {
      factor: 0.5
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>"
      soilAttribute: "Soil_OM___"
    }, {
      factor: 0.2
      yieldDatasetUuid: "<placeholder_of_yielddataset_uuid>"
      yieldAttribute: vol_d
    }]
  }) {    
    uuid 
    fieldUuid
    statusCode  
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/46.-mutatie-meerlaagse-zonesmap-asynchroon-genereren.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
